<?php

use App\Http\Middleware\Localization;
use Illuminate\Support\Facades\Route;
use Modules\Weight\Http\Controllers\WebController;

Route::group(['prefix' => 'admin', 'as' => 'admin.'], function () {
    Route::group(['middleware' => [Localization::class, 'auth:admin']], function () {
        Route::resources(['weights' => WebController::class]);
        Route::any('datatable-weights', [WebController::class, 'datatable'])->name('datatable-weights');
    });
});
